ru.bitel.bgbilling.modules.inet.access.sa

## Class ProtocolHandlerAdapter

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.access.sa.ProtocolHandlerAdapter

- All Implemented Interfaces:
    DhcpProtocolHandler, RadiusProtocolHandler, ProtocolHandler, ru.bitel.common.worker.Destroyable

      public class ProtocolHandlerAdapter
      extends java.lang.Object
      implements ProtocolHandler, ru.bitel.common.worker.Destroyable

  Адаптер для интерфейса ProtocolHandler. Все методы данного класса пусты.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolHandlerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `init(Setup setup, int moduleId, InetDevice inetDevice, InetDeviceType inetDeviceType, ParameterMap deviceConfig)`
    `void` | `postprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` Постобработка RADIUS-запроса Access-Request
    `void` | `postprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` Постобработка RADIUS-запроса Accounting-Request
    `void` | `postprocessDhcpRequest(DhcpPacket request, DhcpPacket response)` Постобработка DHCP-запроса
    `void` | `preprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` Предобработка RADIUS-запроса Access-Request
    `void` | `preprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` Предобработка RADIUS-запроса Accounting-Request
    `void` | `preprocessDhcpRequest(DhcpPacket request, DhcpPacket response)` Предобработка DHCP-запроса

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.network.radius.RadiusProtocolHandler

      `overrideNasIdentifier`

- - ### Constructor Detail

    - #### ProtocolHandlerAdapter

          public ProtocolHandlerAdapter()

  - ### Method Detail

    - #### init

          public void init(Setup setup,
                           int moduleId,
                           InetDevice inetDevice,
                           InetDeviceType inetDeviceType,
                           ParameterMap deviceConfig)
                    throws java.lang.Exception

      Specified by:
        `init` in interface `ProtocolHandler`
      Throws:
        `java.lang.Exception`

    - #### destroy

          public void destroy()
                       throws java.lang.Exception

      Specified by:
        `destroy` in interface `ru.bitel.common.worker.Destroyable`
      Throws:
        `java.lang.Exception`

    - #### postprocessAccessRequest

          public void postprocessAccessRequest(RadiusPacket request,
                                               RadiusPacket response,
                                               ConnectionSet connectionSet)
                                        throws java.lang.Exception

      Description copied from interface: `RadiusProtocolHandler`
      Постобработка RADIUS-запроса Access-Request
      Specified by:
        `postprocessAccessRequest` in interface `RadiusProtocolHandler`
      Throws:
        `java.lang.Exception`

    - #### postprocessAccountingRequest

          public void postprocessAccountingRequest(RadiusPacket request,
                                                   RadiusPacket response,
                                                   ConnectionSet connectionSet)
                                            throws java.lang.Exception

      Description copied from interface: `RadiusProtocolHandler`
      Постобработка RADIUS-запроса Accounting-Request
      Specified by:
        `postprocessAccountingRequest` in interface `RadiusProtocolHandler`
      Throws:
        `java.lang.Exception`

    - #### preprocessAccessRequest

          public void preprocessAccessRequest(RadiusPacket request,
                                              RadiusPacket response,
                                              ConnectionSet connectionSet)
                                       throws java.lang.Exception

      Description copied from interface: `RadiusProtocolHandler`
      Предобработка RADIUS-запроса Access-Request
      Specified by:
        `preprocessAccessRequest` in interface `RadiusProtocolHandler`
      Throws:
        `java.lang.Exception`

    - #### preprocessAccountingRequest

          public void preprocessAccountingRequest(RadiusPacket request,
                                                  RadiusPacket response,
                                                  ConnectionSet connectionSet)
                                           throws java.lang.Exception

      Description copied from interface: `RadiusProtocolHandler`
      Предобработка RADIUS-запроса Accounting-Request
      Specified by:
        `preprocessAccountingRequest` in interface `RadiusProtocolHandler`
      Throws:
        `java.lang.Exception`

    - #### preprocessDhcpRequest

          public void preprocessDhcpRequest(DhcpPacket request,
                                            DhcpPacket response)
                                     throws java.lang.Exception

      Description copied from interface: `DhcpProtocolHandler`
      Предобработка DHCP-запроса
      Specified by:
        `preprocessDhcpRequest` in interface `DhcpProtocolHandler`
      Throws:
        `java.lang.Exception`

    - #### postprocessDhcpRequest

          public void postprocessDhcpRequest(DhcpPacket request,
                                             DhcpPacket response)
                                      throws java.lang.Exception

      Description copied from interface: `DhcpProtocolHandler`
      Постобработка DHCP-запроса
      Specified by:
        `postprocessDhcpRequest` in interface `DhcpProtocolHandler`
      Throws:
        `java.lang.Exception`